﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3064B: (1 year) VER IEEE /9500+1Hd
DATE:                  2017-03-07 09:22:59
AUTHOR:                Fluke
REVISION:              $Revision: 18535 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       247
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Source(s):
#        TDS3000B Series Digital Phosphor Oscilloscopes
#        Service Manual, 071-0972-04
#
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        Tektronix Communication Module
#        - TDS3GM or TDS3GV
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9500         600MH                        1Vpp           LS    S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.3.38"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.013  HEAD         PRELIMINARY INSTRUCTIONS
  1.014  TARGET
  1.015  DISP         Ensure a minimum UUT warm-up time of at least
  1.015  DISP         20 minutes has been allowed to elapse, prior
  1.015  DISP         to beginning verification.

  1.016  CALL         Sub Tek TDS3000/3000B IEEE-488 Interface
  1.017  JMPL         END                              @Abort
  1.018  CALL         Sub UUT Connection GPIB

  1.019  IEEE2        *RST

  1.020  HEAD         UUT IDENTIFICATION
  1.021  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.022  MATH         @UUT_Manufacturer = "Tektronix"
  1.023  MATH         @UUT_Model        = "TDS 3064B"
  1.024  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.025  JMPL         END                           @Abort

  1.026  CALL         Sub Tek TDS3000 Check Firmware Version
  1.027  JMPL         END                           @Abort

  1.028  CALL         Sub Datron 9500 Configuration Query IEEE

  1.029  IF           @HeadTypeCh1 == "9560"

  1.030  HEAD         EQUIPMENT REQUIREMENTS
  1.031  OPBR         -z Do you want to REVIEW the list of additional
  1.031  OPBR         equipment and/or accessories required?

  1.032  IF           MEM1
  1.033  DISP         - Adapter SMA(f)-BNC(m)
  1.034  ENDIF

  1.035  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    2.   SELF TEST                          SELF TEST
#    3.   DCV GAIN (CH1)                     DCV GAIN (CH1)
#    4.   DCV GAIN (CH2)                     BANDWIDTH (CH1)
#    5.   DCV GAIN (CH3)                     TRIGGER SENS FULL BW (CH1)
#    6.   DCV GAIN (CH4)                     TRIGGER SENS 50 MHz (CH1)
#    7.   BANDWIDTH (CH1)                    SAMPLE RATE AND DELAY TIME ACC
#    8.   BANDWIDTH (CH2)                    DCV GAIN (CH2)
#    9.   BANDWIDTH (CH3)                    BANDWIDTH (CH2)
#   10.   BANDWIDTH (CH4)                    TRIGGER SENS FULL BW (CH2)
#   11.   TRIGGER SENS FULL BW (CH1)         TRIGGER SENS 50 MHz (CH2)
#   12.   TRIGGER SENS FULL BW (CH2)         DCV GAIN (CH3)
#   13.   TRIGGER SENS FULL BW (CH3)         BANDWIDTH (CH3)
#   14.   TRIGGER SENS FULL BW (CH4)         TRIGGER SENS FULL BW (CH3)
#   15.   TRIGGER SENS 50 MHz (CH1)          TRIGGER SENS 50 MHz (CH3)
#   16.   TRIGGER SENS 50 MHz (CH2)          DCV GAIN (CH4)
#   17.   TRIGGER SENS 50 MHz (CH3)          BANDWIDTH (CH4)
#   18.   TRIGGER SENS 50 MHz (CH4)          TRIGGER SENS FULL BW (CH4)
#   19.   SAMPLE RATE AND DELAY TIME ACC     TRIGGER SENS 50 MHz (CH4)

  1.036  CALL         Sub Tek TDS3000 Set Bandwidth & Number of Channels
  1.037  CALL         Sub Tek TDS3000 Signal Path Compensation Cal IEEE
  1.038  JMPL         END                           @Abort

  1.039  CALL         Sub Tek TDS3000 Self-Test IEEE
  1.040  JMPL         END                           @Abort


  1.041  IF           @HeadTypeCh1 == "9560"
  1.042  MATH         Ch1Adapter = " via SMA(f)-BNC(m) adapter"
  1.043  ELSE
  1.044  MATH         Ch1Adapter = ""
  1.045  ENDIF

  1.046  DISP         Connect the 9500 CH1 Active Head to
  1.046  DISP         UUT CH 1[V Ch1Adapter].

  1.047  MATH         @Chan = 1
  1.048  CALL         Sub Tek TDS3000B (1 yr) DCV IEEE /9500
  1.049  JMPL         BANDWIDTH_CH1

  1.050  LABEL        DCV_CH2
  1.051  DISP         Connect the 9500 CH1 Active Head to
  1.051  DISP         UUT CH 2[V Ch1Adapter].

  1.052  MATH         @Chan = 2
  1.053  CALL         Sub Tek TDS3000B (1 yr) DCV IEEE /9500
  1.054  JMPL         BANDWIDTH_CH2

  1.055  LABEL        DCV_CH3
  1.056  DISP         Connect the 9500 CH1 Active Head to
  1.056  DISP         UUT CH 3[V Ch1Adapter].

  1.057  MATH         @Chan = 3
  1.058  CALL         Sub Tek TDS3000B (1 yr) DCV IEEE /9500
  1.059  JMPL         BANDWIDTH_CH3

  1.060  LABEL        DCV_CH4
  1.061  DISP         Connect the 9500 CH1 Active Head to
  1.061  DISP         UUT CH 4[V Ch1Adapter].

  1.062  MATH         @Chan = 4
  1.063  CALL         Sub Tek TDS3000B (1 yr) DCV IEEE /9500
  1.064  JMPL         BANDWIDTH_CH4

  1.065  LABEL        BANDWIDTH_CH1
  1.066  MATH         @Chan = 1
  1.067  CALL         Sub Tek TDS3000B (1 yr) Bandwidth IEEE /9500/600
  1.068  JMPL         TRIG_FULL_BW_CH1

  1.069  LABEL        BANDWIDTH_CH2
  1.070  MATH         @Chan = 2
  1.071  CALL         Sub Tek TDS3000B (1 yr) Bandwidth IEEE /9500/600
  1.072  JMPL         TRIG_FULL_BW_CH2

  1.073  LABEL        BANDWIDTH_CH3
  1.074  MATH         @Chan = 3
  1.075  CALL         Sub Tek TDS3000B (1 yr) Bandwidth IEEE /9500/600
  1.076  JMPL         TRIG_FULL_BW_CH3

  1.077  LABEL        BANDWIDTH_CH4
  1.078  MATH         @Chan = 4
  1.079  CALL         Sub Tek TDS3000B (1 yr) Bandwidth IEEE /9500/600
  1.080  JMPL         TRIG_FULL_BW_CH4

  1.081  LABEL        TRIG_FULL_BW_CH1
  1.082  MATH         @Chan = 1
  1.083  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig IEEE /9500/600
  1.084  JMPL         TRIG_50MH_CH1

  1.085  LABEL        TRIG_FULL_BW_CH2
  1.086  MATH         @Chan = 2
  1.087  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig IEEE /9500/600
  1.088  JMPL         TRIG_50MH_CH2

  1.089  LABEL        TRIG_FULL_BW_CH3
  1.090  MATH         @Chan = 3
  1.091  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig IEEE /9500/600
  1.092  JMPL         TRIG_50MH_CH3

  1.093  LABEL        TRIG_FULL_BW_CH4
  1.094  MATH         @Chan = 4
  1.095  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig IEEE /9500/600
  1.096  JMPL         TRIG_50MH_CH4

  1.097  LABEL        TRIG_50MH_CH1
  1.098  MATH         @Chan = 1
  1.099  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig IEEE /9500/600
  1.100  JMPL         SAMPLE_RATE

  1.101  LABEL        TRIG_50MH_CH2
  1.102  MATH         @Chan = 2
  1.103  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig IEEE /9500/600
  1.104  JMPL         DCV_CH3

  1.105  LABEL        TRIG_50MH_CH3
  1.106  MATH         @Chan = 3
  1.107  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig IEEE /9500/600
  1.108  JMPL         DCV_CH4

  1.109  LABEL        TRIG_50MH_CH4
  1.110  MATH         @Chan = 4
  1.111  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig IEEE /9500/600
  1.112  JMPL         END

  1.113  LABEL        SAMPLE_RATE
  1.114  MATH         @Chan = 1
  1.115  CALL         Sub Tek TDS3000B (1 yr) Sample Rate IEEE /9500
  1.116  JMPL         DCV_CH2

  1.117  LABEL        END
  1.118  HEAD         -2

  1.119  IF           @Abort
  1.120  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.121  ELSE
  1.122  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.123  ENDIF

  1.124  END
